curl --request GET \
--url https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/quotas")
.header("Authorization", "Bearer <token>")
.asString();{
"users": {
"quota": 123,
"usage": 123,
"remaining": 123
}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Get quotas for a customer
Authorizations
JWT access token obtained from the /auth/token endpoint.
This
Admin APIis separate from theCorti APIused for speech recognition, text generation, and agentic workflows. Authentication and scope for theAdmin APIuses email-and-password to obtain a bearer token via /auth/token. This token is only used for API administration.
Path Parameters
Unique identifier of your project in the Corti API Console.
To find it, open your project at console.corti.app, go to Settings, and copy the value from the Project ID field.
"consoleproject"
The unique identifier for a Customer
"contosohospital"
Response
Returns quota limits and current usage for the tenant associated with the specified customer. Usage reflects the number of enabled users. A value of -1 indicates an unlimited resource.
Show child attributes
Show child attributes
Was this page helpful?